%global momorel   1
%global pyqtrel   13
%global siprel    13
%global qtrubyrel 5
%global pyqtver   3.14.1
%global sipver    4.2.1
%global qtrubyver 1.0.13

%global artsver 1.5.8
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 0
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 4325d22ac70d3945609bd952c19e793b

%global enable_perl 1
%global enable_python 1
%global enable_ruby 1
# separate sip, PyQt, PyKDE since bundled ones has not been updated for a long time
%global build_pyqt 0
%global build_qtruby 1

## stil need fix to build java -> disable java at the moment
## global support_arch %{ix86} alpha ia64 ppc
%global support_arch none

Name: kdebindings
Summary: KDE bindings to non-C++ languages
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: LGPL
URL: http://developer.kde.org/language-bindings/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch1: kdebindings-3.4.0-rbkconfig_compiler-Makefile.patch
Patch4: kdebindings-3.1-ssl-krb5.patch
Patch6: kdebindings-3.5.2-python2.4.patch
Patch8: kdebindings-3.3.2-libdir.patch
Patch9: kdebindings-3.3.92-xdg.patch
Patch10: kdebindings-3.3.0-python.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: %{name}-perl, %{name}-python
Requires: kdebase >= %{kdever}-%{kdebaserel}
%if %{build_pyqt}
Requires: PyQt
Requires: sip
%endif
%if %{build_qtruby}
Requires: qtruby
%endif
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: automake
BuildPreReq: coreutils >= 5.0-1m
BuildPreReq: expat-devel >= 2.0.0-2m
BuildPreReq: gamin-devel >= 0.1.8-3m
BuildPreReq: libjpeg-devel >= 6b-30m
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: perl
BuildPreReq: python-devel >= 2.5
BuildPreReq: qscintilla-devel >= 1.6
BuildPreReq: ruby >= 1.8.6-4m
BuildPreReq: zlib-devel

%description
KDE/DCOP bindings to non-C++ languages, including

  dcopc: DCOP bindings for C
  dcopperl: DCOP bindings for Perl
  dcoppython: DCOP bindings for Python (broken)
  xparts: allows you to embed non-KDE apps as a KPart
  Korundum: Ruby bindings to KDE (http://developer.kde.org/language-bindings/ruby/)

 Notice: JAVA(dcopjava,qtjava,kdejava) and C#(qtsharp) bindings are not included.

 Notice: QtRuby is separated to subpackages.

 Notice: SIP, PyQt and PyKDE are provided by separate packages.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for the KDE bindings.

Install %{name}-devel if you want to develop non-KDE
applications that talk to KDE.

%ifarch %{support_arch}
%package qtjava
Summary: Java bindings to Qt
Group: System Environment/Libraries
Requires: qt >= %{qtver}, libgcj

%description qtjava
Java bindings to Qt.
%endif

%ifarch %{support_arch}
%package kdejava
Summary: Java bindings to KDE
Group: Development/Libraries
Requires: kdelibs >= %{version}, libgcj

%description kdejava
Java bindings to KDE
%endif

%if %{build_pyqt}
%package -n PyQt
Summary: Python bindings to Qt
Group: System Environment/Libraries
Requires: python >= 2.4
Provides: PyQt-devel
Version: %{pyqtver}
Release: %{pyqtrel}m%{?dist}

%description -n PyQt
These are Python bindings for Qt.
%endif

%if %{build_pyqt}
%package -n sip
Summary:  Python/C++ Bindings Generator
Group: Development/Libraries
Requires: python >= 2.4
Provides: sip-devel
Version: %{sipver}
Release: %{siprel}m%{?dist}

%description -n sip
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes.  SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings.  SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries.  However, SIP can be used to generate Python bindings for any C++
class library.
%endif

%if %{build_qtruby}
%package -n qtruby
Summary: Ruby bindings to Qt
Group: System Environment/Libraries
Requires: python >= 2.4
Version: %{qtrubyver}
Release: %{qtrubyrel}m%{?dist}

%description -n qtruby
These are Ruby bindings for Qt.

Korundum and QtRuby provide bindings to the KDE and Qt frameworks from within Ruby programs.

You can also find out more about Ruby in general here: ruby-lang.org

Being Smoke-based bindings means that they offer full access to most KDE 3.x and Qt 3.x classes.

Notice: Korundum is in kdebindings package
%endif

%prep
%setup -q

%patch1 -p1 -b .Makefile
%patch4 -p1 -b .ssl-krb5
%patch6 -p1 -b .python2
%patch8 -p1 -b .libdir~
%patch9 -p1 -b .xdg

# don't build sip/pyqt, we have separates packages
%if %{build_pyqt} == 0
%patch10 -p1 -b .python
rm -rf python
%endif

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export PATH="`pwd`/jdk/bin:$PATH"

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

# workaround for ia64, need to be fixed later
%ifarch ia64
export CFLAGS="%{optflags} -O0"
export CXXFLAGS="%{optflags} -O0"
%endif

%ifarch %{support_arch}
export CFLAGS="$CFLAGS `mozilla-config --cflags`"
export CXXFLAGS="$CXXFLAGS `mozilla-config --cflags`"
export CPPFLAGS="$CPPFLAGS `mozilla-config --cflags`"
export LDFLAGS="$LDFLAGS `mozilla-config --libs`"
%endif

suffix=""
%if %{_lib} == "lib64"
suffix="64"
%endif

RUBY_ARCHDIR=%{ruby_sitearchdir} \
RUBY_SITEARCHDIR=%{ruby_sitearchdir} \
RUBY_SITEDIR=%{ruby_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--includedir=%{_includedir} \
	--enable-libsuffix="$suffix" \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath \
%ifarch %{support_arch}
	--with-java=%{prefix}
%else
	--without-java
%endif

# make -j2 doesn't work (3.5 RC1)
# make %{?_smp_mflags}
make

# make dcopperl
pushd dcopperl
perl Makefile.PL <<EOF
$QTDIR/include
$QTDIR/lib
%{_includedir}
%{_libdir}
EOF
make
popd

# make dcopc
make -C dcopc 

# make xparts
make -C xparts

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export PATH=`pwd`/jdk/bin:$PATH
make install DESTDIR=%{buildroot} RUBY_ARCHDIR=%{ruby_sitearchdir} RUBY_SITEARCHDIR=%{ruby_sitearchdir} RUBY_SITEDIR=%{ruby_sitelibdir}

make -C dcopperl install DESTDIR=%{buildroot}

# install dcopc
make -C dcopc install DESTDIR=%{buildroot}
# install xparts
make -C xparts DESTDIR=%{buildroot} install


if [ -d "%{buildroot}%{_prefix}/doc" ]; then
   mkdir -p %{buildroot}%{_docdir}
   mv -f %{buildroot}%{_prefix}/doc/* %{buildroot}%{_docdir}
   rm -rf %{buildroot}%{_prefix}/doc
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%if %{build_pyqt}
%post -n sip
/sbin/ldconfig
%endif

%if %{build_pyqt}
%post -n PyQt
/sbin/ldconfig
%endif

%if %{build_qtruby}
%post -n qtruby
/sbin/ldconfig
%endif

%postun
/sbin/ldconfig

%if %{build_pyqt}
%postun -n sip
/sbin/ldconfig
%endif

%if %{build_pyqt}
%postun -n PyQt
/sbin/ldconfig
%endif

%if %{build_qtruby}
%postun -n qtruby
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL README
%{_bindir}/embedjs
%{_bindir}/jsaccess
%{_bindir}/kjscmd
%{_libdir}/*.so.*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/embedjs
%{_datadir}/apps/kate/scripts/*
%{_datadir}/apps/kjsembed
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop
%{_mandir}/man1/kjscmd.1*
# dcopperl
%{_libdir}/perl5/*/*/perllocal.pod
%{_libdir}/perl5/site_perl/*/*/auto/DCOP/*
%{_libdir}/perl5/site_perl/*/*/auto/DCOP/.packlist
%{_libdir}/perl5/site_perl/*/*/DCOP.pm
%{_libdir}/perl5/site_perl/*/*/DCOP/Object.pm
%{_mandir}/man3/DCOP.3pm*
# dcoppython
%{_libdir}/python*/pydcop.py
%{_libdir}/python*/site-packages/pcop.so
%{_libdir}/python*/site-packages/pcop.la
# PyKDE
%if %{build_pyqt}
%{_libdir}/python*/site-packages/dcop.so
%{_libdir}/python*/site-packages/dcopexport.py
%{_libdir}/python*/site-packages/dcopext.py
%{_libdir}/python*/site-packages/kdecore.so
%{_libdir}/python*/site-packages/kdefx.so
%{_libdir}/python*/site-packages/kdeprint.so
%{_libdir}/python*/site-packages/kdesu.so
%{_libdir}/python*/site-packages/kdeui.so
%{_libdir}/python*/site-packages/kfile.so
%{_libdir}/python*/site-packages/khtml.so
%{_libdir}/python*/site-packages/kio.so
%{_libdir}/python*/site-packages/kmdi.so
%{_libdir}/python*/site-packages/kparts.so
%{_libdir}/python*/site-packages/kspell.so
%{_libdir}/python*/site-packages/kutils.so
%{_libdir}/python*/site-packages/pykdeconfig.py
%endif
# korundum
%{_bindir}/krubyinit
%{_bindir}/rbkconfig_compiler
%{_bindir}/rbkdeapi
%{_bindir}/rbkdesh
%{ruby_sitearchdir}/korundum*
%{ruby_sitelibdir}/Korundum.rb
%{ruby_sitelibdir}/KDE
# xparts
%{_bindir}/shell_xparthost
%{_bindir}/xp_notepad
%{_includedir}/xkparts
# java
%ifarch %{support_arch}
%{_libdir}/java
%doc %{_docdir}/javalib
%endif

## qtruby
%if %{build_qtruby}
%files -n qtruby
%defattr(-,root,root)
%doc qtruby/AUTHORS qtruby/ChangeLog qtruby/INSTALL qtruby/README* qtruby/TODO
%{_bindir}/qtrubyinit
%{_bindir}/rbqtapi
%{_bindir}/rbqtsh
%{_bindir}/rbuic
%{ruby_sitearchdir}/qtruby*
%{ruby_sitearchdir}/qui*
%{ruby_sitelibdir}/Qt.rb
%{ruby_sitelibdir}/Qt
%endif

## sip
%if %{build_pyqt}
%files -n sip
%defattr(-,root,root)
%doc python/sip/ChangeLog python/sip/LICENSE python/sip/NEWS
%doc python/sip/README python/sip/THANKS python/sip/TODO
%doc python/sip/doc
%{_bindir}/sip
%{_libdir}/python*/site-packages/sip*
%{_includedir}/python*/sip.h
%dir %{_datadir}/sip
%endif

## PyQt
%if %{build_pyqt}
%files -n PyQt
%defattr(-,root,root)
%doc python/pyqt/ChangeLog python/pyqt/LICENSE python/pyqt/NEWS
%doc python/pyqt/README* python/pyqt/THANKS python/pyqt/doc
%{_bindir}/pylupdate
%{_bindir}/pyuic
%{_libdir}/python*/site-packages/qt*.so
%{_libdir}/python*/site-packages/pyqtconfig.py
%{_datadir}/sip/*
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/smoke.h
%{_includedir}/kjsembed
%{_includedir}/dcopc

%changelog
* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8
- PyQt-3.14.1-13m
- sip-4.2.1-13m
- qtruby-1.0.13-5m
- delete unused patches

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.7-2m)
- rebuild against ruby-1.8.6-4m

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7
- PyQt-3.14.1-12m
- sip-4.2.1-12m
- qtruby-1.0.13-4m

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Sun Jan 28 2007 NARITA Koichi <pulsar@momonga-linunx.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete patch 11 (kdebindings-3.5.5-type.patch)

* Wed Dec 27 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.5.5-5m)
- add pyssizet patch from FC

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.5-4m)
- rebuild against python-2.5

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.5-3m)
- separated sip, PyQt, PyKDE to other packages since bundled ones has not been updated for a long time.
- fix qtrubyver and qtrubyrel since qtruby has been updated to 1.0.13 since KDE-3.5.5

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.5-2m)
- rebuild against expat-2.0.0-2m
- PyQt-3.14.1-11m
- sip-4.2.1-11m
- qtruby-1.0.10-16m

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5
- PyQt-3.14.1-10m
- sip-4.2.1-10m
- qtruby-1.0.10-15m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4
- PyQt-3.14.1-9m
- sip-4.2.1-9m
- qtruby-1.0.10-14m

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3
- PyQt-3.14.1-8m
- sip-4.2.1-8m
- qtruby-1.0.10-13m

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2
- update python.patch
- PyQt-3.14.1-7m
- sip-4.2.1-7m
- qtruby-1.0.10-12m

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.5.1-2m)
- build against perl-5.8.8 (mjsk (^^;;;
- PyQt-3.14.1-6m
- sip-4.2.1-6m
- qtruby-1.0.10-11m

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1
- PyQt-3.14.1-5m
- sip-4.2.1-5m
- qtruby-1.0.10-10m

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1
- remove BuildConflicts: mono
- PyQt-3.14.1-4m
- sip-4.2.1-4m
- qtruby-1.0.10-9m

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5
- PyQt-3.14.1-3m
- sip-4.2.1-3m
- qtruby-1.0.10-8m

* Wed Nov 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- use make, "make -j2" doesn't work
- disable hidden visibility
- PyQt-3.14.1-2m
- sip-4.2.1-2m
- qtruby-1.0.10-7m

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- PyQt-3.14.1-1m
- sip-4.2.1-1m
- qtruby-1.0.10-6m

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-2m)
- rebuild against python-2.4.2
- PyQt-3.13-7m
- sip-4.1.1-7m
- qtruby-1.0.10-5m

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- PyQt-3.13-6m
- sip-4.1.1-6m
- qtruby-1.0.10-4m

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- rebuild against qscintilla-1.6-1m
- PyQt-3.13-5m
- sip-4.1.1-5m
- qtruby-1.0.10-3m

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure
- PyQt-3.13-4m
- sip-4.1.1-4m
- qtruby-1.0.10-2m

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- PyQt-3.13-3m
- sip-4.1.1-3m
- qtruby-1.0.10-1m
- add %%doc

* Mon Jun 13 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.4.1-2m)
- rebuilt against perl-5.8.7

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1
- --disable-final

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- update python(version).patch
- import kdebindings-3.3.92-xdg.patch from Fedora Core
- add kdebindings-3.4.0-rbkconfig_compiler-Makefile.patch

* Sun Mar 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.3.2-4m)
- rebuild against qscintilla-1.5.1

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-3m)
- $(prefix)/lib -> $(libdir)

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
- versions of sip, PyQt and qtruby are 4.0.2-4m, 3.12-4m, 1.0.3-1m respectively
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-3m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Sun Sep 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.0-2m)
- revise %%files section
  %%{_libdir}/*.so* -> %%{_libdir}/*.so.*

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- make sip, PyQt, qtruby subpackages
- add Patch100

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Mon Nov 10 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- change includedir

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m (for glibc-2.3.2 environment)

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- export _POSIX2_VERSION=199209

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
  Changelog from 3.0.5 to 3.1
    bindings updated.
  Changelog from 3.1 to 3.1.1
    Removing Qt bindings for private interfaces that were accidentally included and now caused compilation failures with Qt 3.1.2.
    Several other build related fixes.
 
* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5a-2m)
- remove kmozilla

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Thu Apr  4 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sat Feb 23 2002 Shigeru Yamazaki <s@kondara.org>
- (2.2.2-4k)
- rebuild against python 2.2 and mozilla 0.9.8

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Fri Nov  2 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- rebuild against mozilla 0.9.5.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release, however still no fam, no python2...

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
